# latest commit fdae33d5d834fec71318098cacae21b647e76e31
%global module pytoml

Name:           python-%{module}
Version:        0.1.14
Release:        %mkrel 2
Summary:        Parser and writer for TOML files

License:        MIT
Group:          Development/Python
URL:            https://github.com/avakar/pytoml
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n     python3-%{module}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc LICENSE README.md
%{python2_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.md
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.1.14-2pclos2022
- rebuild against updates

* Sat Apr 21 2018 marcin82 <fixxer1982 at gmail.com> - 0.1.14-1pclos2018
- initial build
